Name:           htslib
Version:        1.3
Release:        1%{?dist}
Summary:        A C library for reading/writing high-throughput sequencing data

License:        BSD and MIT
URL:            http://www.htslib.org
Source0:        https://github.com/samtools/htslib/releases/download/1.3/htslib-1.3.tar.bz2

BuildRequires:  zlib-devel

%description

HTSlib is an implementation of a unified C library for accessing common file
formats, such as SAM, CRAM, VCF, and BCF, used for high-throughput sequencing
data.  It is the core library used by samtools and bcftools.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc README INSTALL NEWS LICENSE
%{_libdir}/*.so.*
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*

%files devel
%doc
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/*.a

%changelog
* Tue Jan 19 2016 Adam Huffman <bloch@verdurin.com> - 1.3-1
- Initial version
